Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ValueAllocator Class Referenceabstract

Experimental do not use: Allocator to customize member name and string value memory management done by Value. More...

`#include <value.h>`

Inheritance diagram for ValueAllocator:

## Public Types
enum | { unknown = (unsigned)-1 }

## Public Member Functions
virtual | ~ValueAllocator ()
virtual char * | makeMemberName (const char *memberName)=0
virtual void | releaseMemberName (char *memberName)=0
virtual char * | duplicateStringValue (const char *value, unsigned int length=unknown)=0
virtual void | releaseStringValue (char *value)=0

## Detailed Description

Experimental do not use: Allocator to customize member name and string value memory management done by Value.

- makeMemberName() and releaseMemberName() are called to respectively duplicate and free an Json::objectValue member name.
- duplicateStringValue() and releaseStringValue() are called similarly to duplicate and free a Json::stringValue value.

## Member Enumeration Documentation

anonymous enum

Enumerator
unknown |

## Constructor & Destructor Documentation

~ValueAllocator | ( |  | ) |
| virtual

## Member Function Documentation

virtual char* duplicateStringValue | ( | const char * | value,
|  | unsigned int | length = `unknown`
| ) |  |
| pure virtual

Implemented in DefaultValueAllocator.

virtual char* makeMemberName | ( | const char * | memberName | ) |
| pure virtual

Implemented in DefaultValueAllocator.

virtual void releaseMemberName | ( | char * | memberName | ) |
| pure virtual

Implemented in DefaultValueAllocator.

virtual void releaseStringValue | ( | char * | value | ) |
| pure virtual

Implemented in DefaultValueAllocator.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/jsoncpp/include/json/value.h
- persistence/rapidjson/thirdparty/jsoncpp/src/lib_json/json_value.cpp